purescript-0.15.12: PureScript Programming Language Compiler

Safe Haskell | Safe-Inferred
Language | Haskell2010

Language.PureScript.Sugar.TypeDeclarations

Description

This module implements the desugaring pass which replaces top-level type declarations with type annotations on the corresponding expression.

Synopsis

- desugarTypeDeclarationsModule :: forall m. MonadError MultipleErrors m => Module -> m Module

# Documentation

desugarTypeDeclarationsModule :: forall m. MonadError MultipleErrors m => Module -> m Module #

Replace all top level type declarations in a module with type annotations